%define snapshot 20040428

Name: foomatic-db-engine
Version: 3.0.1
Release: alt2.%snapshot

Provides: foomatic-addon = %version
Obsoletes: foomatic-addon

PreReq: alternatives >= 0.0.6

Summary: Foomatic database access, printer admin, and printing utils
License: GPL
Group: Publishing

Url: http://www.linuxprinting.org

Source: http://www.linuxprinting.org/download/foomatic/%name-%version-%snapshot.tar.bz2
Patch: foomatic-izv-cups-2.patch

%define _compress_method gzip

# Automatically added by buildreq on Thu Dec 25 2003
BuildRequires: cups-common ghostscript-classic foomatic-filters gzip-utils libalternatives-devel libxml2-devel netcat perl-devel samba-client wget zlib-devel

%description
This package contains the tools for accessing the Foomatic database,
for printer administration, and for printing.

%prep
%setup -q -n %name-%version-%snapshot
%patch -p1

chmod +x mkinstalldirs

%build
./make_configure
%configure
%make   LPD_LPR=/usr/bin/lpr-lpd \
        LPD_LPQ=/usr/bin/lpq-lpd \
        LPD_LPRM=/usr/bin/lprm-lpd \
        LPD_LPC=/usr/sbin/lpc-lpd \
        CUPS_LPR=/usr/bin/lpr-cups \
        CUPS_LPQ=/usr/bin/lpq-cups \
        CUPS_LPRM=/usr/bin/lprm-cups \
        CUPS_LPC=/usr/sbin/lpc-cups \
        CUPS_LP=/usr/bin/lp-cups \
        CUPS_CANCEL=/usr/bin/cancel-cups \
        CUPS_LPSTAT=/usr/bin/lpstat-cups \
        PDQ_PRINTRC=/etc/pdq/printrc \
        PREFIX=%prefix

cd lib
%perl_vendor_build

%install
%make MAKE=: PREFIX=%prefix DESTDIR=%buildroot install

cd lib
%perl_vendor_install

install -d $RPM_BUILD_ROOT/var/cache/foomatic/pcache
install -d $RPM_BUILD_ROOT/var/cache/foomatic/compiled

( cd $RPM_BUILD_ROOT%_bindir
  ln -s foomatic-printjob lpr-foomatic
  ln -s foomatic-printjob lpq-foomatic
  ln -s foomatic-printjob lprm-foomatic
)
( cd $RPM_BUILD_ROOT%_sbindir
  ln -s %_bindir/foomatic-printjob lpc-foomatic
)

(cd $RPM_BUILD_ROOT%_man1dir
 ln -s foomatic-printjob.1.gz  lpr-foomatic.1.gz
 ln -s foomatic-printjob.1.gz  lpq-foomatic.1.gz
 ln -s foomatic-printjob.1.gz  lprm-foomatic.1.gz
)

( cd $RPM_BUILD_ROOT%_man8dir
  ln -s ../man1/foomatic-printjob.1.gz lpc-foomatic.8.gz
)

install -d $RPM_BUILD_ROOT%_altdir
>$RPM_BUILD_ROOT%_altdir/%name
for n in lpr lpq lprm
do
cat >> $RPM_BUILD_ROOT%_altdir/%name <<EOF
<group name="candidate">
    <option name="link">%_bindir/$n</option>
    <option name="real">%_bindir/${n}-foomatic</option>
    <option name="weight" type="number">1</option>
    <group name="slave">
        <option name="link">%_man1dir/$n.1.gz</option>
        <option name="real">%_man1dir/${n}-foomatic.1.gz</option>
    </group>
</group>
EOF
done
#add also lpc
cat >> $RPM_BUILD_ROOT%_altdir/%name<<EOF
<group name="candidate">
    <option name="link">%_sbindir/lpc</option>
    <option name="real">%_sbindir/lpc-foomatic</option>
    <option name="weight" type="number">1</option>
    <group name="slave">
        <option name="link">%_man8dir/lpc.8.gz</option>
        <option name="real">%_man8dir/lpc-foomatic.8.gz</option>
    </group>
</group>
EOF

%post
%register_alternatives %name -- lpr lpr.1.gz lpq lpq.1.gz lprm lprm.1.gz lpc lpc.1.gz

%preun
%unregister_alternatives %name


%files
%doc README USAGE ChangeLog
%_altdir/%name
%_cachedir/*
%_datadir/foomatic
%_mandir/man?/*
%_bindir/*
%_sbindir/*
%perl_vendor_privlib/Foomatic*

%changelog
* Wed May 05 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt2.20040428
- latest snapshot

* Mon Mar 15 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt2.20040128
- really ignore -t option (was problems with printer setup in kde)

* Wed Feb 11 2004 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20040128
- new foomatic snapshot

* Fri Dec 26 2003 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt1.20031219
- remove use strict and '-w' foomatic not ready for it yet.

* Thu Dec 25 2003 Stanislav Ievlev <inger@altlinux.org> 3.0.1-alt0.20031219
- 3.0.1

* Mon Sep 29 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt6.20030310
- fix building in hasher (Thanks to Alexey Tourbin)

* Wed Apr 09 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt5.20030310
- new alternatives config format

* Mon Mar 31 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt4.20030310
- latest snapshot

* Fri Mar 14 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt3.20030213
- PreReq fixes

* Thu Mar 13 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt2.20030213
- move to new alternatives scheme

* Wed Feb 26 2003 Stanislav Ievlev <inger@altlinux.ru> 3.0-alt1.20030213
- Initial release
